Bug 754246 - Review Request: TV-Browser - A TV Browsing application
Review Request: TV-Browser - A TV Browsing application
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
http://www.tv-browser.org
:
: tvbrowser (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2011-11-15 15:29 EST by Sven Baus
Modified: 2013-05-01 17:54 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-01 17:54:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sven Baus 2011-11-15 15:29:01 EST
SPEC: http://dl.dropbox.com/u/3351272/Stuff/tvbrowser/SPECS/TV-Browser.spec
SOURCE: http://downloads.sourceforge.net/project/tvbrowser/TV-Browser%20Releases%20%28Java%206%20and%20higher%29/3.1/tvbrowser_3.1_src.zip
SRPM: http://dl.dropbox.com/u/3351272/Stuff/tvbrowser/SRPMS/TV-Browser-3.1-1.fc14.src.rpm

This is just a first version of the package, since I know, that there is a lot to do. I just started this review request, in order to see, if there is somethine speaking against this package (forbidden items or so), because it's just my third package I build. 

I also need a sponsor ;).

TODO:
 - check the package (no rpmlint or mock has been done yet)
 - desktop file

I would like to see, if there are some legal concerns, or if I can go on :D!

Greets
Sven
Comment 1 Rudolf Kastl 2011-11-16 10:19:11 EST
Well you made your life rather easy but unfortunately what you are doing is packaging prebuilt binaries that are built with provided libs instead of building against fedora provided libraries with the fedora provided java.

todo:

* package the src zip (upstream provides one)
* remove lib/*
* patch the build.xml or create symlinks to the appropriate libraries in lib/
* build it with ant
* package the results in a working manner

thanks for your effort in getting that nice application into the distribution.
Comment 2 Till Maas 2011-11-19 15:33:52 EST
Blocking FE-Legal to get the legal opinion requested in the description of the bug.
Comment 3 Tom "spot" Callaway 2011-11-23 15:44:32 EST
I'm not exactly sure what legal concerns there are here. I haven't looked at the source code at all, but from the TV-Browser website, it seems to be acceptable for Fedora (they secure permission before providing listing information).

Obviously, it needs to be built from source, have any bundled jars removed, and be under acceptable Free Software licenses, but that's no different from any other Fedora package. Lifting FE-Legal.
Comment 4 Sven Baus 2011-11-26 13:54:55 EST
(In reply to comment #1)

> * package the src zip (upstream provides one)
> * remove lib/*
> * patch the build.xml or create symlinks to the appropriate libraries in lib/
> * build it with ant
> * package the results in a working manner


So I have removed the lib/* directory, but I don't know, how to go on, because inside the lib/* directory are some files, that I couldn't find in the standard fedora setup (/usr/share/java). 

Could someone please help me?
Comment 5 Thomas Spura 2011-12-04 07:19:23 EST
*** Bug 472144 has been marked as a duplicate of this bug. ***
Comment 6 Sven Baus 2011-12-06 15:46:33 EST
(In reply to comment #5)
> *** Bug 472144 has been marked as a duplicate of this bug. ***

Thanks, this helps me a bit. Now I could go a step further. 
Trying to build all the libs, I get the following output by some:
/usr/bin/build-jar-repository: error: Could not find jakarta-commons-codec Java extension for this JVM
/usr/bin/build-jar-repository: error: Could not find jakarta-commons-lang Java extension for this JVM
/usr/bin/build-jar-repository: error: Could not find jakarta-commons-net Java extension for this JVM
/usr/bin/build-jar-repository: error: Could not find jakarta-commons-compress Java extension for this JVM
/usr/bin/build-jar-repository: error: Some specified jars were not found for this jvm

I couldn't find for example "jakarta-commons-codec" in the repository. Isn't it available anymore? How should I go on?

Greets from germany
Sven
Comment 7 Sven Baus 2011-12-12 08:32:28 EST
Hy there,
i habe been able to find almost everything to build the /lib/* directory, but what I couldn't find is: substance.

Does anyone know, if there is a package for this GUI Framework?!
Would be fine if I got some help ;).

Greets
Sven
Comment 8 Sven Baus 2011-12-28 09:22:37 EST
Hello,

seems like we can close this review request, since TV-Browser needs Java Substance and I have no idea, how I should get this into fedora. 

Sorry :(.
Greets
Sven
Comment 9 Rudolf Kastl 2012-01-12 09:57:58 EST
i am still busy this and next week but then i have time and i am willing to help you to get this software built correctly because i think it would be a nice addition to fedora. is there any way to contact you? are you on freenode irc?

kind regards,
Rudolf Kastl
Comment 10 Sven Baus 2012-01-12 15:47:55 EST
Thanks for your help ;). I'm curently working on the substance package as you might see :D. The best way to contact me is by mail, because currently I'm a bit full with work and also in private life. Also I'm available via ICQ, if this would be an option.

Greetings,
Sven
Comment 11 Elder Marco 2012-01-31 20:54:02 EST
Just a comment: The name of this package could be tvbrowser instead of Tv-Browser. 

http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Case_Sensitivity
Comment 12 Rudolf Kastl 2012-03-23 04:20:45 EDT
sven could you please publish your latest spec file + patches (if needed) so i can take a closer look? sorry for the delays, but i have been rather busy.
Comment 13 Sven Baus 2012-03-24 09:35:30 EDT
(In reply to comment #12)
> sven could you please publish your latest spec file + patches (if needed) so i
> can take a closer look? sorry for the delays, but i have been rather busy.

SPEC: http://dl.dropbox.com/u/3351272/Stuff/tvbrowser/SPECS/TV-Browser.spec

I'm working on the dependencies, but I'm also as you are, a bit busy ;).
Comment 14 Jason Tibbitts 2013-05-01 17:54:20 EDT
Since the review ticket for a dependency was closed due to inactivity, I'll close this as well.

Note You need to log in before you can comment on or make changes to this bug.